import numpy as np
import matplotlib.pyplot as plt

indent500=np.linspace(0,1,100)
indent250=np.linspace(0,1,100)
indent100=np.linspace(0,1,100)
indent50=np.linspace(0,1,100)
indent300=np.linspace(0,1,100)
indent200=np.linspace(0,1,100)


P_el1=np.zeros(len(indent500))
P_el2=np.zeros(len(indent500))
P_el3=np.zeros(len(indent500))
P_el4=np.zeros(len(indent500))
P_el5=np.zeros(len(indent500))
P_el6=np.zeros(len(indent500))

E=2*10**11
t1=0.02
t2=0.04
t3=0.1
t4=0.2
t5=0.05
t6=0.0375
R=6
L=108
f_y=350*10**6
R_ct1=f_y*((t1**2)/4)*np.sqrt(2*R/t1)
R_ct2=f_y*((t2**2)/4)*np.sqrt(2*R/t2)
R_ct3=f_y*((t3**2)/4)*np.sqrt(2*R/t3)
R_ct4=f_y*((t4**2)/4)*np.sqrt(2*R/t4)
R_ct5=f_y*((t5**2)/4)*np.sqrt(2*R/t5)
R_ct6=f_y*((t6**2)/4)*np.sqrt(2*R/t6)
resistance1=np.zeros(len(indent500))
resistance2=np.zeros(len(indent500))
resistance3=np.zeros(len(indent500))
resistance4=np.zeros(len(indent500))
resistance5=np.zeros(len(indent500))
resistance6=np.zeros(len(indent500))

for i in range(0,len(indent500)):
    P_el1[i]=2.083*E*t1*((t1/R)**(1.22))*((R/L)**(1/2))*indent500[i]
    resistance1[i]=P_el1[i]/R_ct1
    P_el2[i] = 2.083 * E * t2 * ((t2 / R) ** (1.22)) * ((R / L) ** (1 / 2)) * indent250[i]
    resistance2[i] = P_el2[i] / R_ct2
    P_el3[i] = 2.083 * E * t3 * ((t3 / R) ** (1.22)) * ((R / L) ** (1 / 2)) * indent100[i]
    resistance3[i] = P_el3[i] / R_ct3
    P_el4[i] = 2.083 * E * t4 * ((t4 / R) ** (1.22)) * ((R / L) ** (1 / 2)) * indent50[i]
    resistance4[i] = P_el4[i] / R_ct4
    P_el5[i] = 2.083 * E * t5 * ((t5 / R) ** (1.22)) * ((R / L) ** (1 / 2)) * indent200[i]
    resistance5[i] = P_el5[i] / R_ct5
    P_el6[i] = 2.083 * E * t6 * ((t6 / R) ** (1.22)) * ((R / L) ** (1 / 2)) * indent300[i]
    resistance6[i] = P_el6[i] / R_ct6



Indendation=indent500/(2*R)
print(P_el3)


plt.plot(Indendation, resistance1,label='D/t=500', color="red")
plt.plot(Indendation, resistance2,label='D/t=250', color="blue")
plt.plot(Indendation, resistance3,label='D/t=100', color="green")
plt.plot(Indendation, resistance4,label='D/t=50', color="yellow")
plt.xlabel('Indentation, delta')
plt.ylabel('R/Rc')
plt.legend()
plt.grid()

plt.show()



plt.plot(Indendation, resistance2,label='D/t=250', color="blue")
plt.plot(Indendation, resistance5,label='D/t=200', color="orange")
plt.plot(Indendation, P_el6,label='D/t=300', color="purple")
plt.xlabel('Indentation, delta')
plt.ylabel('R/Rc')
plt.legend()
plt.grid()
plt.show()


